<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Converter;

use Dedi\SyliusQuotePlugin\Entity\QuoteItemInterface;
use Dedi\SyliusQuotePlugin\Model\OrderItemInterface;

class OrderItemHydrator implements OrderItemHydratorInterface
{
    public function hydrateFromQuoteItem(OrderItemInterface $orderItem, QuoteItemInterface $quoteItem): void
    {
        $orderItem->setVariant($quoteItem->getVariant());
        $orderItem->setProductName($quoteItem->getProductName());
        $orderItem->setVariantName($quoteItem->getVariantName());
        $orderItem->setQuoteItem($quoteItem);
    }
}
