<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusQuotePlugin\Application\Model;

use Dedi\SyliusQuotePlugin\Model\OrderInterface;
use Dedi\SyliusQuotePlugin\Traits\QuoteAwareTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\Order as BaseOrder;

/**
 * @ORM\Entity
 * @ORM\Table(name="sylius_order")
 */
class Order extends BaseOrder implements OrderInterface
{
    use QuoteAwareTrait;
}
